Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QAbstractSocket.SocketState

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QAbstractSocket.SocketState

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractSocket

    public static final class QAbstractSocket.SocketState

extends java.lang.Enum
implements QtEnumerator

This enum describes the different states in which a socket can be.

See also:
  `QAbstractSocket::state()`.

See Also:
  Serialized Form

Field Summary
`static QAbstractSocket.SocketState` | `BoundState` The socket is bound to an address and port (for servers).
`static QAbstractSocket.SocketState` | `ClosingState` The socket is about to close (data may still be waiting to be written).
`static QAbstractSocket.SocketState` | `ConnectedState` A connection is established.
`static QAbstractSocket.SocketState` | `ConnectingState` The socket has started establishing a connection.
`static QAbstractSocket.SocketState` | `HostLookupState` The socket is performing a host name lookup.
`static QAbstractSocket.SocketState` | `ListeningState` For internal use only.
`static QAbstractSocket.SocketState` | `UnconnectedState` The socket is not connected.

Method Summary
`static QAbstractSocket.SocketState` | `resolve(int value)` Returns the QAbstractSocket$SocketState constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSocket.SocketState` | `valueOf(java.lang.String name)`
`static QAbstractSocket.SocketState[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UnconnectedState

    public static final QAbstractSocket.SocketState UnconnectedState

  The socket is not connected.

### HostLookupState

    public static final QAbstractSocket.SocketState HostLookupState

  The socket is performing a host name lookup.

### ConnectingState

    public static final QAbstractSocket.SocketState ConnectingState

  The socket has started establishing a connection.

### ConnectedState

    public static final QAbstractSocket.SocketState ConnectedState

  A connection is established.

### BoundState

    public static final QAbstractSocket.SocketState BoundState

  The socket is bound to an address and port (for servers).

### ListeningState

    public static final QAbstractSocket.SocketState ListeningState

  For internal use only.

### ClosingState

    public static final QAbstractSocket.SocketState ClosingState

  The socket is about to close (data may still be waiting to be written).

Method Detail

### values

    public static QAbstractSocket.SocketState[] values()

### valueOf

    public static QAbstractSocket.SocketState valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSocket.SocketState resolve(int value)

  Returns the QAbstractSocket$SocketState constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD